# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rack_check/version'

Gem::Specification.new do |spec|
  spec.name          = "rack_check"
  spec.version       = RackCheck::VERSION
  spec.authors       = ["Tinco Andringa"]
  spec.email         = ["tinco@phusion.nl"]

  spec.summary       = %q{Tool that checks a Ruby application server for Rack compliancy}
  spec.homepage      = "https://github.com/phusion/rack_check"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency "rspec", "~> 3.0"
  spec.add_runtime_dependency "concurrent-ruby", "~> 1.0"
  spec.add_runtime_dependency "http", "~> 2.2"
  spec.add_runtime_dependency "open4", "~> 1.3"
end
